Signed-off-by: Michał Górny <mgorny@gentoo.org>
---
eclass/linux-mod-r1.eclass | 3 +++
1 file changed, 3 insertions(+)
diff --git a/eclass/linux-mod-r1.eclass b/eclass/linux-mod-r1.eclass
index b6be4ba8a16d..4de2e3f89995 100644
--- a/eclass/linux-mod-r1.eclass
+++ b/eclass/linux-mod-r1.eclass
@@ -855,6 +855,9 @@ _modules_process_compress() {
compress=(gzip)
fi
elif linux_chkconfig_present MODULE_COMPRESS_ZSTD; then
+ if ! type -P zstd &>/dev/null; then
+ die "zstd not found, please install app-arch/zstd or disable USE=modules-compress"
+ fi
compress=(zstd -qT"$(makeopts_jobs)" --rm)
else
die "USE=modules-compress enabled but no MODULE_COMPRESS* configured"
--
2.43.0
On Sat, Dec 30, 2023 at 06:07:16AM +0100, Michał Górny wrote:
Signed-off-by: Michał Górny <mgorny@gentoo.org>
---
eclass/linux-mod-r1.eclass | 3 +++
1 file changed, 3 insertions(+)
diff --git a/eclass/linux-mod-r1.eclass b/eclass/linux-mod-r1.eclass
index b6be4ba8a16d..4de2e3f89995 100644
--- a/eclass/linux-mod-r1.eclass
+++ b/eclass/linux-mod-r1.eclass
@@ -855,6 +855,9 @@ _modules_process_compress() {
compress=(gzip)
fi
elif linux_chkconfig_present MODULE_COMPRESS_ZSTD; then
+ if ! type -P zstd &>/dev/null; then
+ die "zstd not found, please install app-arch/zstd or disable USE=modules-compress"
+ fi
As mentioned on IRC, I don't think we overly need an extra check just
for this. Users have explicitly enabled zstd-compression that they
needed for their kernel (meaning they at least had zstd), and if it
somehow dies with "zstd: command not found" I think it's
self-explanatory.
Hard for it to be missing even if it's not in @system too given portage currently depends on it. Not to say it couldn't, or change.
Sysop: | Keyop |
---|---|
Location: | Huddersfield, West Yorkshire, UK |
Users: | 428 |
Nodes: | 16 (2 / 14) |
Uptime: | 105:19:32 |
Calls: | 9,053 |
Calls today: | 10 |
Files: | 13,395 |
Messages: | 6,015,443 |